{
    //
    // CMAKE
    //
    // Following settings are from the MSYS2 extension documentation
    "cmake.cmakePath": "C:\\msys64\\mingw64\\bin\\cmake.exe",
    "cmake.preferredGenerators": [
        "MSYS Makefiles"
    ],
    "cmake.configureSettings": {
        "CMAKE_MAKE_PROGRAM": "C:\\msys64\\mingw64\\bin\\make.exe",
        "CMAKE_PREFIX_PATH": [
            "${workspaceRoot}/deps/thirdParty/win64/Yase",
            "${workspaceRoot}/deps/thirdParty/win64/FMILibrary",
            "${workspaceRoot}/deps/thirdParty/win64/MantleAPI",
            "${workspaceRoot}/deps/thirdParty/win64/osi",
            "${workspaceRoot}/deps/thirdParty/win64/protobuf",
            "${workspaceRoot}/deps/thirdParty/win64/protobuf-shared",
            "${workspaceRoot}/deps/thirdParty/win64/googletest",
            "${workspaceRoot}/deps/thirdParty/win64/minizip",
            "${workspaceRoot}/deps/thirdParty/win64/openscenario_engine/release",
            "${workspaceRoot}/deps/thirdParty/win64/openscenario_api",
            "${workspaceRoot}/deps/thirdParty/win64/zlib",
            "${workspaceRoot}/deps/thirdParty/win64/open-simulation-interface",
            "${workspaceRoot}/deps/thirdParty/win64/units",
            "${workspaceRoot}/deps/scmThirdParty/win64/stochastics",
            "C:/msys64/mingw64/bin"
        ],
        "CMAKE_INSTALL_PREFIX": "${workspaceRoot}/bin/core",
        "CMAKE_BUILD_TYPE": "Debug",
        "USE_CCACHE": true,
        "WITH_DEBUG_POSTFIX": false,
        "OPENPASS_ADJUST_OUTPUT": false,
        "WITH_API_DOC": false,
        "WITH_DOC": false,
        "INSTALL_EXTRA_RUNTIME_DEPS": true,
        "INSTALL_SYSTEM_RUNTIME_DEPS": true,
        // For integration with IntelliSense (see c_cpp_properties.json)
        "CMAKE_EXPORT_COMPILE_COMMANDS": true
    },
    // Optional: Adjust to your needs
    "cmake.parallelJobs": 4,
    //
    // TESTMATE
    //
    // Optional: Adjust to your needs
    "testMate.cpp.test.parallelExecutionLimit": 4,
    "testMate.cpp.test.parallelExecutionOfExecutableLimit": 2,
    // Optional: Set, if you like to debug test discovery and test start issues
    "testMate.cpp.log.logfile": "C:\\temp\\cpp.testmate.log",
    // Optional:    As CTest triggers the install step, dependencies between test executables
    //              and openpass libraries can be resolved by linking text executables to
    //              openpass install directory
    // Alternative: Check dependencies of test executables by 'ldd <_Tests.exe> and copy
    //              libraries right next to test executable within build direcory
    "testMate.cpp.test.advancedExecutables": [
        {
            "pattern": "build/**/*{tests,Tests,TESTS}*",
            "env": {
                "Path": "C:\\msys64\\mingw64\\bin;${workspaceFolder}\\bin\\core;${workspaceFolder}\\bin\\core\\lib;${os_env:PATH};${workspaceFolder}\\deps\\thirdParty\\win64\\FMILibrary\\lib;${workspaceFolder}\\deps\\thirdParty\\win64\\osi\\lib\\osi3"
            }
        }
    ],
    //
    // VSCODE
    //
    // Optional: Integration of MinGW64 Terminal in VS Code
    "terminal.integrated.profiles.windows": {
        "MinGW64": {
            "overrideName": true,
            "path": [
                "C:\\msys64\\usr\\bin\\bash.exe"
            ],
            "args": ["--login", "-i"],
            "icon": "terminal-bash",
            "env": {
                "MSYSTEM": "MINGW64",
                "CHERE_INVOKING": "1",
                "MSYS2_PATH_TYPE": "inherit"
            }
        }
    },
    "terminal.integrated.defaultProfile.windows": "MinGW64",
    // Enforce usage of .clang-format of modified code
    "editor.formatOnSave": true,
    "editor.formatOnSaveMode": "modifications",
    // EOL and whitespace enforcement
    "editor.detectIndentation": true,
    "editor.insertSpaces": true,
    "editor.renderFinalNewline": "dimmed",
    "files.insertFinalNewline": true,
    "files.trimFinalNewlines": true,
    "files.trimTrailingWhitespace": true
}
